# fluentd-concenter
Public Repo: https://gallery.ecr.aws/zero-downtime/fluentd-concenter

## Abstract
Custom Fluentd container.  

Possible use as drop in replacement for `fluentd-kubernetes-daemonset` using the upstream fluentd Helm charts.  

## Changes from fluentd-kubernetes-daemonset
- Alpine 3.14 based
- passes Trivy scan as of Sep. 02 2021
- fluentd runs as non-root fluent user
- remove fluent-plugin-detect-exceptions due to being unmaintained and pulling in insecure dependencies
- restrict ES Ruby SDK to <7.14 to allow connections to any OSS ES clusters
- latest plugins otherwise

# Resources
- https://github.com/fluent/fluentd-docker-image/blob/master/v1.14/alpine/Dockerfile
- https://github.com/fluent/fluentd-kubernetes-daemonset/tree/master/docker-image/v1.14/debian-elasticsearch7
